Subject: Re: git format-patch --in-reply-to allows header injection. Intended?

From: Junio C Hamano <[email-masked]>
Date: Thu, 04 Sep 2014 14:36:09 -0700

Niklas Hambüchen <[email-masked]> writes:

> For example, if you pass "--in-reply-to=<msgid>\nTo: <[email-masked]"
> (notice lack of trailing `>`), then the generated email will actually
> contain a
>   To: <[email-masked]>
> header.

While I do not think of a reason to specify such a string to the
in-reply-to option (I'd rather edit the output in the editor if I
wanted to do anything fancy [*1*]), I do not think there is a reason
why you want to add a code to forbid such use, either.

[Footnote]

*1* For that matter, --in-reply-to option itself is superfluous.